pymbar-examples
===============

Examples illustrating the use of [MBAR](http://github.com/choderalab/pymbar) for various applications in computational and experimental chemistry.

Contents
--------

* `alchemical-free-energy/` - example illustrating the calculation of free energy differences from simulations with alchemical intermediates between two end states with a number of methods.  Note that this example has moved to https://github.com/MobleyLab/alchemical-analysis
* `constant-force-optical-trap/` - calculation of PMF of dsDNA extension from constant-force optical trap experiments
* `harmonic-oscillators/` - examples all of the functionality of pymbar, including validation of the distribution of error estimates. 
* `heat-capacity/` - calculation of heat capacities using the fluctuation theorem, including Cv at interpolated temperatures.
* `parallel-tempering-2dpmf/` - example illustrating computation of 2D PMF from parallel tempering data
* `umbrella-sampling-pmf/` - example illustrating computation of 1D PMF from umbrella sampling data


